Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367271 - [abrt] abrt-addon-ccpp: __init__.py:1339:log:SystemError: <built-in function isinstance> returned a result with an error set
Summary: [abrt] abrt-addon-ccpp: __init__.py:1339:log:SystemError: <built-in function ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:89ad04c7b4c50f8f2337280e3aa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 06:12 UTC by Joel Salas
Modified: 2017-12-12 10:26 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:26:15 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-16 06:12 UTC, Joel Salas
no flags Details
File: environ (deleted)
2016-08-16 06:12 UTC, Joel Salas
no flags Details

Description Joel Salas 2016-08-16 06:12:13 UTC
Description of problem:
Was trying to fill out a bug report.

Version-Release number of selected component:
abrt-addon-ccpp-2.8.2-2.fc25

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --tmpdir /var/tmp/abrt-tmp-debuginfo.B0VXsz --
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.8.0-0.rc1.git0.1.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            173

Truncated backtrace:
__init__.py:1339:log:SystemError: <built-in function isinstance> returned a result with an error set

BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

SystemError: <built-in function isinstance> returned a result with an error set

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 243, in <module>
    result = downloader.download(missing, download_exact_files=exact_fls)
  File "/usr/lib64/python3.5/site-packages/reportclient/debuginfo.py", line 371, in download
    package_full_path, err = self.download_package(pkg)
  File "/usr/lib64/python3.5/site-packages/reportclient/dnfdebuginfo.py", line 124, in download_package
    self.base.download_packages([pkg], self.progress)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 878, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 146, in download_payloads
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1586, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python3.5/site-packages/dnf/util.py", line 171, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
  File "/usr/lib64/python3.5/logging/__init__.py", line 1339, in log
    if not isinstance(level, int):
SystemError: <built-in function isinstance> returned a result with an error set

Local variables in innermost frame:
kwargs: {}
args: ('RPMPayload._end_cb', (<dnf.repo.RPMPayload object at 0x7f3234395f98>, 2, 'Downloading was aborted by LR_CB_ERROR from mirror failure callback. Original error was: Curl error (42): Operation was aborted by an application callback for http://ftp.cse.buffalo.edu/pub/fedora/linux/development/25/Everything/x86_64/debug/tree/Packages/n/nss-debuginfo-3.25.0-6.fc25.x86_64.rpm [Callback aborted]'), {})
level: 6
msg: 'Call: %s: %s, %s'
self: <logging.Logger object at 0x7f323964cc18>

Potential duplicate: bug 1361835

Comment 1 Joel Salas 2016-08-16 06:12:20 UTC
Created attachment 1191083 [details]
File: backtrace

Comment 2 Joel Salas 2016-08-16 06:12:21 UTC
Created attachment 1191084 [details]
File: environ

Comment 3 Peter Lesko 2016-11-30 11:51:33 UTC
*** Bug 1400063 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2017-11-16 14:06:38 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:26:15 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.